syntax = "proto3";
option csharp_namespace = "TMDGrpc.ClassroomStudentService";
option java_package = "TMDGrpc.ClassroomStudentService";
package TMDGrpc;


service ClassroomStudentService {
   //保存 或 修改 教室学生关联
   rpc SaveOrUpdateClassroomStudent(stream ClassroomStudent) returns(stream ClassroomStudent);

   //学生加入教室 或者 修改座位号
   rpc AddClassroomAsync(stream ClassroomStudent) returns(stream ClassroomStudent);

   //学生退出教室
   rpc DelClassroom(stream ClassroomStudent) returns(stream ClassroomStudent);

   //查询学生在哪些教室
   rpc FindStudents(StringDto) returns(stream ClassroomStudent);

}



message ClassroomStudent {
   //classroomCode
   string id = 1;
   string scopeCode = 2;
   repeated string studentId = 3;
}

message StringDto {
   string name = 1;
}